#####
###  Abracadabra Object - pre-configured objects with only one click
##   Copyright (C) 2002 Maik Jablonski (maik.jablonski@uni-bielefeld.de)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
###  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#####

import AbracadabraObject
from Globals import DTMLFile

def initialize(context):
    """ Initialize the AbracadabraObject-Product """

    context.registerClass(
        AbracadabraObject.AbracadabraObject, 
        constructors=(AbracadabraObject.manage_addAbracadabraObjectForm,
                      AbracadabraObject.manage_addAbracadabraObject)
        )

methods = {'AbracadabraObjectBox': DTMLFile('dtml/AbracadabraObjectBox', globals())}
    
